From 6ef9e486e829b9e96a622bf60d2fe6a7044a6321 Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig.ringer@2ndquadrant.com>
Date: Thu, 17 Jun 2021 11:50:11 +0800
Subject: [PATCH v1 3/5] PGDLLIMPORT criticalSharedRelcachesBuilt and
 criticalRelcachesBuilt

Allow extensions to see the state of relcache init so they can tell if
relcache access is safe. Useful for extensions that register at
shared_preload_libraries time.
---
 src/include/utils/relcache.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/include/utils/relcache.h b/src/include/utils/relcache.h
index f772855ac6..202f2b10d9 100644
--- a/src/include/utils/relcache.h
+++ b/src/include/utils/relcache.h
@@ -145,9 +145,9 @@ extern void RelationCacheInitFilePostInvalidate(void);
 extern void RelationCacheInitFileRemove(void);
 
 /* should be used only by relcache.c and catcache.c */
-extern bool criticalRelcachesBuilt;
+extern PGDLLIMPORT bool criticalRelcachesBuilt;
 
 /* should be used only by relcache.c and postinit.c */
-extern bool criticalSharedRelcachesBuilt;
+extern PGDLLIMPORT bool criticalSharedRelcachesBuilt;
 
 #endif							/* RELCACHE_H */
-- 
2.31.1

